package v2seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type V2SealInnercompanySeallistRequest struct {
	// 【印章形态】印章形态：PHYSICS(\"物理印章\"),ELECTRONIC(\"电子印章\"),MOBILE(\"移动印章\"),UKEY(\"ukey印章\"),不传默认查询电子印章
	SealAttribute string `json:"sealAttribute,omitempty"`
	// 【需要查询的印章状态】需要查询的印章状态：ALL(查询所有印章),WAIT_CREATE(待制作),NORMAL(正常),FREEZE(冻结),DELETE(删除),INVALID(失效),REVOKE(注销),REVOKING(注销中),CHANGING(变更中);不传默认NORMAL
	SealQueryStatus string `json:"sealQueryStatus,omitempty"`
	// 【印章类型】印章类型 参考电子签约签署平台“印章类型设置”中的类型
	SealCategoryName string `json:"sealCategoryName,omitempty"`
}

func (obj V2SealInnercompanySeallistRequest) GetUrl() string {
	return "/v2/seal/innercompany/seallist"
}

func (obj V2SealInnercompanySeallistRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("sealAttribute", obj.SealAttribute)
	parameter.AddParam("sealQueryStatus", obj.SealQueryStatus)
	parameter.AddParam("sealCategoryName", obj.SealCategoryName)
	return parameter
}
